Diff php-7.2.18 with a php-7.3.5

/usr/portage/dev-lang/php/php-7.3.5.ebuild 2019-05-22 14:39:00.000000000 +0300
5 5

  
6 6
inherit flag-o-matic systemd autotools
7 7

  
8
MY_PV=${PV/_rc/RC}
8 9
DESCRIPTION="The PHP language runtime engine"
9 10
HOMEPAGE="https://php.net/"
10 11
SRC_URI="https://php.net/distributions/${P}.tar.xz"
......
18 19
	unicode? ( BSD-2 LGPL-2.1 )"
19 20

  
20 21
SLOT="$(ver_cut 1-2)"
21
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
22
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
23

  
24
S="${WORKDIR}/${PN}-${MY_PV}"
22 25

  
23 26
# We can build the following SAPIs in the given order
24 27
SAPIS="embed cli cgi fpm apache2 phpdbg"
......
45 48
# the ones that can be detected to avoid a repeat of bug #564824.
46 49
COMMON_DEPEND="
47 50
	>=app-eselect/eselect-php-0.9.1[apache2?,fpm?]
48
	>=dev-libs/libpcre-8.32[unicode]
51
	>=dev-libs/libpcre2-10.30[unicode]
49 52
	fpm? ( acl? ( sys-apps/acl ) )
50 53
	apache2? ( || ( >=www-servers/apache-2.4[apache2_modules_unixd,threads=]
51 54
		<www-servers/apache-2.4[threads=] ) )
......
62 65
	curl? ( >=net-misc/curl-7.10.5 )
63 66
	enchant? ( <app-text/enchant-2.0:0 )
64 67
	firebird? ( dev-db/firebird )
65
	gd? ( virtual/jpeg:0 media-libs/libpng:0= sys-libs/zlib )
68
	gd? ( virtual/jpeg:0 media-libs/libpng:0= >=sys-libs/zlib-1.2.0.4 )
66 69
	gdbm? ( >=sys-libs/gdbm-1.8.0:0= )
67 70
	gmp? ( dev-libs/gmp:0= )
68 71
	iconv? ( virtual/libiconv )
......
90 93
	spell? ( >=app-text/aspell-0.50 )
91 94
	sqlite? ( >=dev-db/sqlite-3.7.6.3 )
92 95
	ssl? (
93
		!libressl? ( dev-libs/openssl:0= )
96
		!libressl? ( >=dev-libs/openssl-1.0.1:0= )
94 97
		libressl? ( dev-libs/libressl:0= )
95 98
	)
96 99
	tidy? ( || ( app-text/tidy-html5 app-text/htmltidy ) )
......
105 108
	xmlwriter? ( >=dev-libs/libxml2-2.6.8 )
106 109
	xpm? ( x11-libs/libXpm )
107 110
	xslt? ( dev-libs/libxslt >=dev-libs/libxml2-2.6.8 )
108
	zip? ( sys-libs/zlib:0= )
111
	zip? ( >=sys-libs/zlib-1.2.0.4:0= )
109 112
	zip-encryption? ( >=dev-libs/libzip-1.2.0:= )
110
	zlib? ( sys-libs/zlib:0= )
113
	zlib? ( >=sys-libs/zlib-1.2.0.4:0= )
111 114
"
112 115

  
113 116
RDEPEND="${COMMON_DEPEND}
......
148 151
	readline? ( !libedit )
149 152
	recode? ( !imap !mysqli !mysql )
150 153
	session-mm? ( session !threads )
151
	mysql? ( hash || ( mysqli pdo ) )
152
	mysqli? ( hash )
154
	mysql? ( || ( mysqli pdo ) )
153 155
	zip-encryption? ( zip )
154 156
"
155 157
PATCHES=(
156 158
	"${FILESDIR}/php-freetype-2.9.1.patch"
157
	"${FILESDIR}/php-7.2.13-intl-use-icu-namespace.patch"
158 159
)
159 160

  
160 161
PHP_MV="$(ver_cut 1)"
Thank you!